> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-api-requests-overview/83.-query-collect-platform-context.md).

# 83. クエリ: プラットフォームコンテキストを収集

処理済みデータセット（「SatelliteImage」、「AsAppliedDataset」、「YieldDataset」、「SoilDataset」など）が多数（数百から数千）ある場合、各データセットの処理状況を把握し、処理の概要を収集する必要があります。これらの情報は、次のクエリを使用して取得できます。 `getPlatformContext` クエリ。

主な用途：

* 処理の進捗を追跡する
* 処理の概要と統計情報を収集する
* 処理中のエラーや警告を監視し、影響を受けたデータセットをさらに詳しく調査する

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query CollectPlatformContext {
 getPlatformContext(input: {
   userUuids: ["<placeholder_of_user_uuid>"],
   statuses: [Start, Done, Warning, Error, Ignored],
   dateFrom: "2023-05-25T12:49:00.000Z", 
   dateTo: "2023-05-30T06:35:00.000Z", 
 }) {
   events {
     fieldUuid
     subFieldUuid
     subFieldType
     operationId
     status 
     executionDate
     messageKey
     任意
   }
 }
}
```

{% endcode %}

サポートされている入力フィルター：

* `dateFrom` ISO 8601形式の日時（例： `"2023-05-25T12:49:00.000Z"`)
* `dateTo` ISO 8601形式の日時（例： `"2023-05-30T06:35:00.000Z"`)
* `operationIds` 操作識別子の配列（`Strings`)
* `statuses` 次の値を含む配列： `ContextEventStatus` 中間ステータスを含む、すべての処理ステータスを定義する列挙型です。主要なステータスを使用することをおすすめします。 `[Start, Done, Warning, Error, Ignored]`
* `subFieldTypes` 次の値を持つ配列： `TreeNodeEntity` GeoPardのすべてのエンティティを定義する列挙型
* `subFieldUuids` 選択したエンティティに関連付けられたUUIDの配列。エンティティは `subFieldTypes`
* `userUuids` 検索する「User」のUUIDの配列

{% hint style="info" %}
次のフィルターのうち、少なくとも1つを指定する必要があります： `userUuids`, `fieldUuids`, `subFieldUuids`、または `operationIds`.
{% endhint %}

{% hint style="info" %}
〜の場合、 `dateFrom` および `dateTo` が指定されていない場合、デフォルトのクエリ期間は12時間に設定されます。データ取得に推奨される最大期間は24時間です。
{% endhint %}

{% hint style="info" %}
返される行数は最大10,000行に制限されています。
{% endhint %}

{% hint style="info" %}
利用可能なすべての最新の列挙値（例： `TreeNodeEntity`, `ContextEventStatus, ContextMessageKey`）を確認するには、 [Altair](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/getting-started-with-the-geopard-api.md).
{% endhint %}

出力オブジェクトには、次の属性が含まれます。

* `fieldUuid` 関連するフィールドのUUIDを表します
* `subFieldUuid` 関連付けられた処理済みデータセット（「SatelliteImage」、「AsAppliedDataset」、「YieldDataset」、「SoilDataset」など）のUUIDを示します
* `subFieldType` 次の列挙値として表されます： `TreeNodeEntity`
* `operationId` 処理の識別子を保持する文字列です。関連するすべての処理チェーンで一貫しているため、処理の全段階を追跡するには、この識別子でグループ化することをおすすめします
* `status` 次の列挙値として表されます： `ContextEventStatus`
* `executionDate` 実行時点を示すISO 8601形式の文字列です
* `messageKey` 次の列挙値として表されます： `ContextMessageKey` 実行結果を説明します
* `optional` 関連がある場合に技術的な説明を記載する文字列です。主にデバッグやバグ報告に使用されます


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-api-requests-overview/83.-query-collect-platform-context.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
